## localechooser 2.49ubuntu1

=== debian/changelog ===
localechooser (2.49ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
    - If OVERRIDE_SHOW_ALL_LANGUAGES is set in the environment, display all
      languages regardless of frontend.
    - Cancel any locale preseeding if the user changes the language.
    - For cases where selecting a different location may imply a different
      dialect of the language, i.e. Portuguese and Chinese, take care to set
      LANG and LANGUAGE to something reflecting the language and LC_NUMERIC,
      LC_TIME, LC_MONETARY, LC_PAPER, LC_NAME, LC_ADDRESS, LC_TELEPHONE,
      LC_MEASUREMENT, and LC_IDENTIFICATION to something reflecting the
      location.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 13 Dec 2012 16:01:01 +0000

localechooser (2.49) unstable; urgency=low

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Japanese (ja.po) by Kenshi Muto

 -- Christian Perrier <bubulle@debian.org>  Tue, 11 Dec 2012 06:07:44 +0100

localechooser (2.48) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by ivarela
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Galician (gl.po) by Jorge Barreiro
  * Ukrainian (uk.po) by Yuri Chornoivan

 -- Christian Perrier <bubulle@debian.org>  Wed, 17 Oct 2012 20:26:59 +0200

localechooser (2.47) unstable; urgency=low

  [ Updated translations ]
  * Macedonian (mk.po) by Arangel Angov

 -- Christian Perrier <bubulle@debian.org>  Sun, 23 Sep 2012 07:43:10 +0200

localechooser (2.46) unstable; urgency=low

  [ Samuel Thibault ]
  * Enable level 4 with network-console installs. Thanks Eugeniy Meshcheryakov
    for the report and initial patch. Closes: Bug#677931.
  * Call console-setup font-switch script to support level 2 on bare Linux
    console.
  * Do not skip non-ASCII country names by telling gettext they are encoded in
    UTF-8. Closes: Bug#687249.

 -- Christian Perrier <bubulle@debian.org>  Mon, 17 Sep 2012 07:12:01 +0200

localechooser (2.44) unstable; urgency=low

  * Fix accidentally-combined Dutch and Dzongkha entries in languagelist.

  [ Updated translations ]
  * German (de.po) by Holger Wansing

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Aug 2012 23:24:57 +0100

localechooser (2.43) unstable; urgency=low

  * Replace XC-Package-Type by Package-Type
  * Re-enable Welsh

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Jun 2012 11:46:30 +0200

localechooser (2.42) unstable; urgency=low

  * Team upload

  [ Updated translations ]
  * Welsh (cy.po) by Daffyd Tomos

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 Jun 2012 06:30:39 +0200

localechooser (2.41) unstable; urgency=low

  * Team upload

  [ Joey Hess ]
  * Add SS BQ and SX to regionmap.

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Galician (gl.po) by Jorge Barreiro
  * Lithuanian (lt.po) by Rimas Kudelis
  * Latvian (lv.po) by Rūdolfs Mazurs
  * Panjabi (pa.po) by A S Alam

 -- Christian Perrier <bubulle@debian.org>  Thu, 14 Jun 2012 22:23:04 +0200

localechooser (2.40ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
    - If OVERRIDE_SHOW_ALL_LANGUAGES is set in the environment, display all
      languages regardless of frontend.
    - Cancel any locale preseeding if the user changes the language.
    - For cases where selecting a different location may imply a different
      dialect of the language, i.e. Portuguese and Chinese, take care to set
      LANG and LANGUAGE to something reflecting the language and LC_NUMERIC,
      LC_TIME, LC_MONETARY, LC_PAPER, LC_NAME, LC_ADDRESS, LC_TELEPHONE,
      LC_MEASUREMENT, and LC_IDENTIFICATION to something reflecting the
      location.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 May 2012 11:16:58 +0100

localechooser (2.40) unstable; urgency=low

  * Add commented entry for Sindhi
  * Add entry for Tibetan (not commented as
    the translation team completed the first two sublevels)

 -- Christian Perrier <bubulle@debian.org>  Tue, 17 Apr 2012 19:37:13 +0200

## localechooser 2.49ubuntu5

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

PACKAGE=localechooser
DATAPACKAGE=localechooser-data

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq (,$(findstring $(ARCH), s390 s390x))
MENUITEMNUM=1000
else # run after network-console for s390 
MENUITEMNUM=2110
endif

override_dh_clean:
	rm -rf debian/pobuild debian/iso-codes debian/short-tmp
	rm -rf debian/locales debian/sort-tmp
	dh_clean

override_dh_install:
	dh_install
	cat languagelist | grep -v "^#.*" | cut -d";" -f1,4- \
		>debian/$(PACKAGE)/usr/share/localechooser/languagelist
	chmod 0644 debian/$(PACKAGE)/usr/share/localechooser/languagelist
	gzip -c debian/languagelist.data \
		>debian/$(PACKAGE)/usr/share/localechooser/languagelist.data.gz
	chmod 0644 debian/$(PACKAGE)/usr/share/localechooser/languagelist.data.gz
ifneq (,$(filter $(DATAPACKAGE),$(shell dh_listpackages)))
	cp -a debian/$(PACKAGE)/usr/share/localechooser/languagelist \
	      debian/$(PACKAGE)/usr/share/localechooser/languagelist.data.gz \
	      debian/$(DATAPACKAGE)/usr/share/localechooser/
endif
	install -m644 /usr/share/i18n/SUPPORTED debian/$(PACKAGE)/usr/share/localechooser/SUPPORTED

override_dh_installdebconf:
	dh_installdebconf
	# Sort countries and continents (including translations)
	# MUST be after dh_installdebconf
	./sort-templates

override_dh_gencontrol:
	dh_gencontrol -- -Vmenuitemnum=$(MENUITEMNUM)

## localechooser 2.49ubuntu5+7.0trisquel1

=== debian/changelog ===
localechooser (2.49ubuntu5+7.0trisquel1) belenos; urgency=medium

  * Added quz_PE and aym_PE locales

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 25 Apr 2014 20:37:26 +0200

localechooser (2.49ubuntu5) trusty; urgency=medium

  * Create skeleton locale-langpack subdirectories for each language being
    installed, so that accountsservice knows to offer the
    incomplete-language-support prompt (LP: #1307983).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Apr 2014 19:50:37 +0100

localechooser (2.49ubuntu4) raring; urgency=low

  * Revert previous change since at least language-selector also needs to be
    brought into sync, and it's too late for 13.04.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Apr 2013 17:31:57 +0100

localechooser (2.49ubuntu3) raring; urgency=low

  * Set LC_TIME to reflect the language rather than the location, as the
    lesser of two evils since it includes translations of day and month
    names (LP: #1160441).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Apr 2013 12:30:53 +0100

localechooser (2.49ubuntu2) raring; urgency=low

  * languagelist: Use the official name Bangla for the language spoken
    in Bangladesh (LP: #991002).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 03 Feb 2013 04:51:00 +0100

=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org> 
Build-Depends: debhelper (>= 7.3.10), dpkg-dev (>= 1.9), locales, intltool-debian (>= 0.30+20040212), po-debconf, iso-codes, isoquery
XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/localechooser.git
XS-Debian-Vcs-Git: git://git.debian.org/d-i/localechooser.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/localechooser/ubuntu

Package: localechooser
Package-Type: udeb
Architecture: any
Depends: cdebconf-udeb (>= 0.129)
XB-Installer-Menu-Item: ${menuitemnum}
Description: choose language/country/locale

Package: localechooser-data
Section: devel
Priority: optional
Architecture: all
Depends: iso-codes
Breaks: system-config-kickstart (<< 2.5.20-0ubuntu17)
Description: Lists of locales supported by the installer
 This package contains lists of languages, countries, and locales supported
 by the installer, for use by programs that create automatic installation
 scripts.

## localechooser 2.53

=== debian/changelog ===
localechooser (2.53) unstable; urgency=low

  [ Steve Langasek ]
  * languagelist: Use 'Bangla' as the preferred name for the language of
    Bangladesh, for consistency with iso-codes; thanks to Gunnar Hjalmarsson
    <gunnarhj@ubuntu.com> for the patch.  LP: #991002.

 -- Christian Perrier <bubulle@debian.org>  Sat, 23 Mar 2013 08:48:28 +0100

localechooser (2.52) unstable; urgency=low

  * Fix default locale for Northern Sami (se_NO.UTF-8 no longer exists)

 -- Christian Perrier <bubulle@debian.org>  Sun, 03 Mar 2013 15:48:11 +0100

localechooser (2.51) unstable; urgency=low

  * Rebuild to include latest translations of ISO-3166
    (noticeably the name of "The State of Palestine")

 -- Christian Perrier <bubulle@debian.org>  Sun, 03 Mar 2013 14:44:52 +0100

localechooser (2.50) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Holger Wansing

 -- Christian Perrier <bubulle@debian.org>  Tue, 01 Jan 2013 09:19:44 +0100

=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org> 
Build-Depends: debhelper (>= 7.3.10), dpkg-dev (>= 1.9), locales, intltool-debian (>= 0.30+20040212), po-debconf, iso-codes, isoquery
Vcs-Browser: http://git.debian.org/?p=d-i/localechooser.git
Vcs-Git: git://git.debian.org/d-i/localechooser.git

Package: localechooser
Package-Type: udeb
Architecture: any
Depends: cdebconf-udeb (>= 0.129)
XB-Installer-Menu-Item: ${menuitemnum}
Description: choose language/country/locale

## localechooser 2.58

=== debian/changelog ===
localechooser (2.58) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sat, 14 Sep 2013 15:24:22 +0200

localechooser (2.57) unstable; urgency=low

  * Activate Tajik in the text installer

 -- Christian Perrier <bubulle@debian.org>  Mon, 19 Aug 2013 07:12:09 +0200

localechooser (2.56) unstable; urgency=low

  * Add entry for Tajik

 -- Christian Perrier <bubulle@debian.org>  Thu, 15 Aug 2013 17:26:24 +0200

localechooser (2.55) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 13:58:04 +0200

localechooser (2.54) unstable; urgency=low

  [ Samuel Thibault ]
  * Fix hurd-i386 Mach TERM name.

  [ Updated translations ]
  * Croatian (hr.po) by Tomislav Krznar

 -- Christian Perrier <bubulle@debian.org>  Sun, 12 May 2013 08:37:25 +0200

## localechooser 2.63

=== debian/changelog ===
localechooser (2.63) unstable; urgency=high

  * Team upload
  * Revert previous commit. Closes: Bug#743348.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Apr 2014 01:56:41 +0200

localechooser (2.62) unstable; urgency=medium

  [ Samuel Thibault ]
  * Show complete English names in C locale. Closes: Bug#734690.

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Mar 2014 19:17:40 +0100

localechooser (2.61) unstable; urgency=low

  * Add entry for Jamaican Creole English

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Cyril Brulebois <kibi@debian.org>  Wed, 12 Mar 2014 02:17:05 +0100

localechooser (2.60) unstable; urgency=low

  * Add entry for Chitwania Tharu

  [ Updated translations ]
  * Bosnian (bs.po) by Amila Valjevčić
  * Hungarian (hu.po) by Judit Gyimesi

 -- Christian Perrier <bubulle@debian.org>  Tue, 10 Dec 2013 08:07:05 +0100

localechooser (2.59) unstable; urgency=low

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Sat, 09 Nov 2013 18:08:28 +0100

## localechooser 2.64

=== debian/changelog ===
localechooser (2.64) unstable; urgency=low

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Sun, 08 Mar 2015 11:37:00 +0100

=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org> 
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9), locales, intltool-debian (>= 0.30+20040212), po-debconf, iso-codes, isoquery
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/localechooser.git
Vcs-Git: git://anonscm.debian.org/d-i/localechooser.git

Package: localechooser
Package-Type: udeb
Architecture: any
Depends: cdebconf-udeb (>= 0.129)
XB-Installer-Menu-Item: ${menuitemnum}
Description: choose language/country/locale

## localechooser 2.65ubuntu4

=== debian/changelog ===
localechooser (2.65ubuntu4) xenial; urgency=medium

  * localechooser: Use grep -a to make sure grep sees our language list data
    as ASCII and not random binary since it contains some glyphs for language
    name translations. Fixes at least one crash in Ubiquity. (LP: #1551285)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 13 Apr 2016 10:04:25 -0400

localechooser (2.65ubuntu3) wily; urgency=medium

  * Re-drop fallbacks for Norwegian Bokmål and Nynorsk. Sorry! (LP: #1507985)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 20 Oct 2015 15:12:20 +0100

localechooser (2.65ubuntu2) wily; urgency=medium

  * Properly handle Portugese and Chinese special-cases for LANG and LANGUAGE:
    the format of languagelist has changed a bit so the cut commands need to
    be updated accordingly. (LP: #1465530)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 19 Oct 2015 11:07:05 +0100

localechooser (2.65ubuntu1) wily; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
    - If OVERRIDE_SHOW_ALL_LANGUAGES is set in the environment, display all
      languages regardless of frontend.
    - Cancel any locale preseeding if the user changes the language.
    - For cases where selecting a different location may imply a different
      dialect of the language, i.e. Portuguese and Chinese, take care to set
      LANG and LANGUAGE to something reflecting the language and LC_NUMERIC,
      LC_TIME, LC_MONETARY, LC_PAPER, LC_NAME, LC_ADDRESS, LC_TELEPHONE,
      LC_MEASUREMENT, and LC_IDENTIFICATION to something reflecting the
      location.
    - Create skeleton locale-langpack subdirectories for each language being
      installed, so that accountsservice knows to offer the
      incomplete-language-support prompt (LP: #1307983).
  * Add Breaks for system-config-kickstart and casper due to change in the
    languagelist file format.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 27 May 2015 17:24:38 -0400

localechooser (2.65) unstable; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Fix typo in preseeded language code check.

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 May 2015 07:45:09 +0200

=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org> 
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9), locales, intltool-debian (>= 0.30+20040212), po-debconf, iso-codes, isoquery
XS-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/localechooser.git
XS-Debian-Vcs-Git: git://anonscm.debian.org/d-i/localechooser.git
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/localechooser/ubuntu

Package: localechooser
Package-Type: udeb
Architecture: any
Depends: cdebconf-udeb (>= 0.129)
XB-Installer-Menu-Item: ${menuitemnum}
Description: choose language/country/locale

Package: localechooser-data
Section: devel
Priority: optional
Architecture: all
Depends: iso-codes
Breaks: system-config-kickstart (<< 2.5.20-0ubuntu24), casper (<< 1.361)
Description: Lists of locales supported by the installer
 This package contains lists of languages, countries, and locales supported
 by the installer, for use by programs that create automatic installation
 scripts.

## localechooser 2.65ubuntu4+8.0trisquel1

=== debian/changelog ===
localechooser (2.65ubuntu4+8.0trisquel1) flidas; urgency=medium

  * Added quz_PE and aym_PE locales

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 28 Nov 2016 04:38:01 +0000

## localechooser 2.69

=== debian/changelog ===
localechooser (2.69) unstable; urgency=medium

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen

 -- Christian Perrier <bubulle@debian.org>  Sun, 18 Sep 2016 17:59:00 +0200

localechooser (2.68) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Thu, 11 Feb 2016 18:53:07 +0100

localechooser (2.67) unstable; urgency=medium

  [ Updated translations ]
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Jul 2015 21:41:08 +0200

localechooser (2.66) unstable; urgency=medium

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Turkish (tr.po) by Mert Dirik

 -- Christian Perrier <bubulle@debian.org>  Thu, 25 Jun 2015 11:39:37 +0200

=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org> 
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9), locales, intltool-debian (>= 0.30+20040212), po-debconf, iso-codes, isoquery
Vcs-Browser: https://anonscm.debian.org/cgit/d-i/localechooser.git
Vcs-Git: https://anonscm.debian.org/git/d-i/localechooser.git

Package: localechooser
Package-Type: udeb
Architecture: any
Depends: cdebconf-udeb (>= 0.129)
XB-Installer-Menu-Item: ${menuitemnum}
Description: choose language/country/locale

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 	dh $@
 
 PACKAGE=localechooser
-DATAPACKAGE=localechooser-data
 
 ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
 
@@ -26,12 +25,6 @@
 	gzip -c debian/languagelist.data \
 		>debian/$(PACKAGE)/usr/share/localechooser/languagelist.data.gz
 	chmod 0644 debian/$(PACKAGE)/usr/share/localechooser/languagelist.data.gz
-ifneq (,$(filter $(DATAPACKAGE),$(shell dh_listpackages)))
-	cp -a debian/$(PACKAGE)/usr/share/localechooser/languagelist \
-	      debian/$(PACKAGE)/usr/share/localechooser/languagelist.data.gz \
-	      debian/$(DATAPACKAGE)/usr/share/localechooser/
-endif
-	install -m644 /usr/share/i18n/SUPPORTED debian/$(PACKAGE)/usr/share/localechooser/SUPPORTED
 
 override_dh_installdebconf:
 	dh_installdebconf

## localechooser 2.69A~4.3.0.201712011037

=== debian/changelog ===
localechooser (2.69A~4.3.0.201712011037) ucs4-3-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-35495-d-i-locale-Set-locale-in-UCR
    0002-Bug-35492-Limit-languages-to-de-fr-en

 -- Univention builddaemon <buildd@univention.de>  Fri, 01 Dec 2017 10:40:09 +0100

## localechooser 2.71ubuntu3+9.0trisquel1

=== debian/changelog ===
localechooser (2.71ubuntu3+9.0trisquel1) etiona; urgency=medium

  * Added quz_PE and aym_PE locales

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 04 Oct 2019 16:16:38 +0000

localechooser (2.71ubuntu3) bionic; urgency=medium

  * Fix a missing operator in localechooser that throws spurious errors.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Jul 2018 16:20:33 -0600

localechooser (2.71ubuntu2) bionic; urgency=medium

  * Allow localechooser to write out preferences to /etc/default/locale
    even if we're installing to a pre-configured rootfs. (LP: #1759442)
  * Make C.UTF-8 a configurable option and use the same codepaths as C.
  * Set C.UTF-8 as default when localechooser is not seen or preseeded.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 20 Apr 2018 09:08:00 -0600

localechooser (2.71ubuntu1) bionic; urgency=low

  * Merge with Debian.  Remaining changes:
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - If OVERRIDE_SHOW_ALL_LANGUAGES is set in the environment, display all
      languages regardless of frontend.
    - localechooser: Use grep -a to make sure grep sees our language list data 
      as ASCII and not random binary since it contains some glyphs for language
      name translations. Fixes at least one crash in Ubiquity. 
    - Always support English, unless preseeded otherwise.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
    - Cancel any locale preseeding if the user changes the language.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - For cases where selecting a different location may imply a different
      dialect of the language, i.e. Portuguese and Chinese, take care to set
      LANG and LANGUAGE to something reflecting the language and LC_NUMERIC,
      LC_TIME, LC_MONETARY, LC_PAPER, LC_NAME, LC_ADDRESS, LC_TELEPHONE,
      LC_MEASUREMENT, and LC_IDENTIFICATION to something reflecting the
      location.
    - Better match for commented lines and preseeded values in the list of
      supported locales.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 07 Nov 2017 14:51:02 -0500

localechooser (2.71) unstable; urgency=medium

  [ Updated translations ]
  * Greek (el.po) by Sotirios Vrachas
  * Albanian (sq.po) by Redon Skikuli

 -- Christian Perrier <bubulle@debian.org>  Sun, 17 Sep 2017 08:20:22 +0200

localechooser (2.70) unstable; urgency=medium

  [ Updated translations ]
  * Simplified Chinese (zh_CN.po) by Yangfl

 -- Christian Perrier <bubulle@debian.org>  Mon, 26 Jun 2017 16:43:41 +0200

## localechooser 2.71ubuntu4+10.0trisquel1

=== debian/changelog ===
localechooser (2.71ubuntu4+10.0trisquel1) nabia; urgency=medium

  * Added quz_PE and aym_PE locales

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 25 Jun 2021 18:49:06 +0000

localechooser (2.71ubuntu4) eoan; urgency=medium

  * Add Silesian (szl) to languagelist (LP: #1844653)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 19 Sep 2019 18:06:00 +0200

## localechooser 2.80

=== debian/changelog ===
localechooser (2.80) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Updated translations ]
  * German (de.po) by Holger Wansing
  * Hebrew (he.po) by Yaron Shahrabani

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 12 Aug 2018 09:12:18 +0200

localechooser (2.79) unstable; urgency=medium

  [ Updated translations ]
  * Welsh (cy.po) by Huw Waters

 -- Christian Perrier <bubulle@debian.org>  Mon, 02 Apr 2018 08:53:05 +0200

localechooser (2.78) unstable; urgency=medium

  [ Samuel Thibault ]
  * Enable all languages when using speakup_dummy too, which can also support
    any UTF-8 language.

 -- Christian Perrier <bubulle@debian.org>  Mon, 12 Mar 2018 06:46:47 +0100

localechooser (2.77) unstable; urgency=medium

  [ Samuel Thibault ]
  * languagelist: Enable Georgian and Lao in bterm.

  [ Updated translations ]
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Fri, 09 Mar 2018 06:46:50 +0100

localechooser (2.76) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Use iso_3166-1.mo filename instead of the compatibility symlink, after
    a rename in iso-codes 3.67; thanks to Dr. Tobias Quathamer for the
    report and the patch (Closes: #889963).

 -- Christian Perrier <bubulle@debian.org>  Mon, 12 Feb 2018 06:54:41 +0100

localechooser (2.75) unstable; urgency=medium

  [ Updated translations ]
  * Persian (fa.po) by nima sahraneshin
  * Tajik (tg.po) by Victor Ibragimov

 -- Christian Perrier <bubulle@debian.org>  Thu, 01 Feb 2018 19:32:13 +0100

localechooser (2.74) unstable; urgency=medium

  [ Samuel Thibault ]
  * Enable all languages when using speakup_soft, which supports any UTF-8
    language.

 -- Christian Perrier <bubulle@debian.org>  Fri, 05 Jan 2018 06:34:31 +0100

localechooser (2.73) unstable; urgency=medium

  [ Updated translations ]
  * Nepali (ne.po) by Jeewal Kunwar
  * Simplified Chinese (zh_CN.po) by Boyuan Yang

 -- Christian Perrier <bubulle@debian.org>  Sun, 24 Dec 2017 10:23:12 +0100

localechooser (2.72) unstable; urgency=medium

  [ Updated translations ]
  * Norwegian Nynorsk (nn.po) by Allan Nordhøy

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Nov 2017 09:18:26 +0100

## localechooser 2.81

=== debian/changelog ===
localechooser (2.81) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Asturian (ast.po) by Xuacu Saturio
  * Galician (gl.po) by mantinan
  * Latvian (lv.po) by Tranzistors

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 30 Oct 2018 18:45:55 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org> 
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9), locales, intltool-debian (>= 0.30+20040212), po-debconf, iso-codes, isoquery
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/localechooser.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/localechooser.git
+Vcs-Browser: https://salsa.debian.org/installer-team/localechooser
+Vcs-Git: https://salsa.debian.org/installer-team/localechooser.git
 
 Package: localechooser
 Package-Type: udeb

## localechooser 2.82

=== debian/changelog ===
localechooser (2.82) unstable; urgency=medium

  * Team upload
  * Add missing english string 'Choose language' to some translations:
    * Bosnian (bs.po)
    * Hungarian (hu.po)
    * Tajik (tg.po)
  * Remove trailing whitespaces from changelog file, to fix lintian tag.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 23 Dec 2018 14:00:10 +0100

## localechooser 2.83

=== debian/changelog ===
localechooser (2.83) unstable; urgency=medium
  * Team upload

  * Remove trailing whitespaces from control and rules file to fix lintian tag.

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Persian (fa.po) by nima sahraneshin
  * Finnish (fi.po) by Juhani Numminen

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 09 Feb 2019 09:49:07 +0100

## localechooser 2.84

=== debian/changelog ===
localechooser (2.84) unstable; urgency=medium
  * Team upload

  [ Updated translations ]
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 06 Mar 2019 22:30:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: debian-installer
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Christian Perrier <bubulle@debian.org> 
+Uploaders: Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9), locales, intltool-debian (>= 0.30+20040212), po-debconf, iso-codes, isoquery
 Vcs-Browser: https://salsa.debian.org/installer-team/localechooser
 Vcs-Git: https://salsa.debian.org/installer-team/localechooser.git

## localechooser 2.84A~5.0.0.202005111000

=== debian/changelog ===
localechooser (2.84A~5.0.0.202005111000) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-35495-d-i-locale-Set-locale-in-UCR
    0002-Bug-35492-Limit-languages-to-de-en

 -- Univention builddaemon <buildd@univention.de>  Mon, 11 May 2020 10:00:14 +0200

## localechooser 2.84.lnd.1+nmu1

=== debian/changelog ===
localechooser (2.84.lnd.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:41:16 +0800

localechooser (2.84.lnd.1) unstable; urgency=medium
  
  * standardized place names

 -- Huang Jia Wen <huangjiawen@loongson.cn>  Fri, 10 Sep 2021 17:46:13 +0800

## localechooser 2.85

=== debian/changelog ===
localechooser (2.85) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927526)

  [ Updated translations ]
  * Arabic (ar.po) by ButterflyOfFire
  * Croatian (hr.po) by gogogogi

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 30 Jul 2019 22:20:15 +0200

## localechooser 2.86

=== debian/changelog ===
localechooser (2.86) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Tibetan (bo.po) by leela
  * German (de.po) by Holger Wansing
  * Portuguese (pt.po) by Miguel Figueiredo
  * Tajik (tg.po) by Victor Ibragimov
  * Simplified Chinese (zh_CN.po) by Boyuan Yang

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 17 Nov 2019 23:35:38 +0100

## localechooser 2.89

=== debian/changelog ===
localechooser (2.89) unstable; urgency=medium

  * Team upload

  * Activate Kabyle also in the text-based installer for testing purposes.

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 31 Oct 2020 12:40:30 +0100

localechooser (2.88) unstable; urgency=medium

  * Team upload

  * Add Occitan as new language to languagelist (graphical and text-based
    installer).
  * Another new language added to languagelist: Kabyle (only graphical
    installer for now, since text-based installer is currently not supported
    due to missing UTF-8 locale).

  [ Updated translations ]
  * Persian (fa.po) by سهیل خانعلی‌پور
  * Marathi (mr.po) by Prachi Joshi

  [ New translations ]
  * Kabyle (kab.po) by Slimane Selyan Amiri
  * Occitan (oc.po) by Quentin PAGÈS

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 29 Oct 2020 20:18:04 +0100

localechooser (2.87) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Estonian (et.po) by Kristjan Räts
  * Persian (fa.po) by Abbas Baharforoosh
  * French (fr.po) by Baptiste Jammet

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 20 Sep 2020 22:28:41 +0200

## localechooser 2.89ubuntu2

=== debian/changelog ===
localechooser (2.89ubuntu2) hirsute; urgency=medium

  * Fix build with noudeb profile.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Apr 2021 09:37:27 +0200

localechooser (2.89ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - If OVERRIDE_SHOW_ALL_LANGUAGES is set in the environment, display all
      languages regardless of frontend.
    - localechooser: Use grep -a to make sure grep sees our language list data 
      as ASCII and not random binary since it contains some glyphs for language
      name translations. Fixes at least one crash in Ubiquity. 
    - Always support English, unless preseeded otherwise.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
    - Cancel any locale preseeding if the user changes the language.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - For cases where selecting a different location may imply a different
      dialect of the language, i.e. Portuguese and Chinese, take care to set
      LANG and LANGUAGE to something reflecting the language and LC_NUMERIC,
      LC_TIME, LC_MONETARY, LC_PAPER, LC_NAME, LC_ADDRESS, LC_TELEPHONE,
      LC_MEASUREMENT, and LC_IDENTIFICATION to something reflecting the
      location.
    - Allow localechooser to write out preferences to /etc/default/locale
      even if we're installing to a pre-configured rootfs. (LP: #1759442)
    - Make C.UTF-8 a configurable option and use the same codepaths as C.
    - Set C.UTF-8 as default when localechooser is not seen or preseeded.
    - Add Silesian (szl) to languagelist (LP: #1844653)
    - Add Kurdish, Central (ckb) to languagelist (LP: #1864680)

 -- Dave Jones <dave.jones@canonical.com>  Sat, 31 Oct 2020 15:17:02 +0000

localechooser (2.71ubuntu5) groovy; urgency=medium

  * Add Kurdish, Central (ckb) to languagelist (LP: #1864680)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 25 Apr 2020 22:13:00 +0200

## localechooser 2.89ubuntu3

=== Makefile ===
all: check-scripts debian/languagelist.data debian/short-tmp/shortlists debian/templates check-scripts check-data check-utf8

LIST     = languagelist

debian/languagelist.data: $(LIST)
	LC_COLLATE=C ./mklanguagelist.data $(LIST) debian/languagelist.data

debian/templates.base: debian/localechooser.templates-in debian/iso_3166.tab
	./mktemplates.continents debian/iso_3166.tab regionmap debian/templates.continents
	cat debian/localechooser.templates-in debian/templates.continents >debian/templates.base-in
	./mktemplates.base debian/templates.base-in debian/templates.base

debian/iso-codes:
	./get-iso-codes

debian/iso_3166.tab:
	isoquery -c | cut -f 1,4 | sort >debian/iso_3166.tab
	[ -s debian/iso_3166.tab ]

debian/templates: $(LIST) debian/templates.base debian/short-tmp/shortlists
	./mktemplates.shortlist
	./mktemplates.warnings $(LIST) debian/templates

debian/short-tmp/shortlists: debian/iso_3166.tab debian/iso-codes
	./mkshort

check-scripts:
	@set -e ; \
	if [ -x /bin/ash ] ; then SH=ash ; else SH=dash; fi ; \
	for s in finish-install.d/05localechooser post-base-installer.d/05localechooser debian/postinst languagemap localechooser ; do \
		echo "Checking syntax of $$s" ; \
		$$SH -n $$s ; \
	done

check-utf8: $(LIST)
	iconv -f utf-8 -t unicode $(LIST) > /dev/null

check-data:
	# Check that the listed locale is supported, to make sure it will work.
	@for locale in `grep -v "^#" $(LIST) | cut -d\; -f6 | grep _` ; do \
		if grep -q "^$$locale " /usr/share/i18n/SUPPORTED ; then \
			: ; \
		else \
			echo "warning: locale $$locale not listed in /usr/share/i18n/SUPPORTED" ; \
		fi ; \
	done

.PHONY: demo
localechooser.templates: debian/templates
	grep -v '#' $^ > $@
demo: localechooser.templates localechooser
	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./localechooser

clean:
	$(RM) localechooser.templates debian/templates debian/templates.continents debian/templates.base-in debian/templates.base debian/templates.tmp debian/languagelist.data debian/iso_3166.tab
	$(RM) -rf debian/short-tmp debian/iso-codes

## localechooser 2.89ubuntu6

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 check-scripts:
 	@set -e ; \
 	if [ -x /bin/ash ] ; then SH=ash ; else SH=dash; fi ; \
-	for s in finish-install.d/05localechooser post-base-installer.d/05localechooser debian/postinst languagemap localechooser ; do \
+	for s in finish-install.d/05localechooser post-base-installer.d/05localechooser languagemap localechooser ; do \
 		echo "Checking syntax of $$s" ; \
 		$$SH -n $$s ; \
 	done

=== debian/changelog ===
localechooser (2.89ubuntu6) kinetic; urgency=medium

  * Fix one more reference to debian/postinst.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Jul 2022 15:52:49 +0000

localechooser (2.89ubuntu5) kinetic; urgency=medium

  * Remove debian/{dirs,install,postinst} which are files that were 
    meant to go in the localechooser udeb, but now because that package is
    commented out, were being incorrectly used by debhelper for the
    localechooser-data package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Jul 2022 15:41:10 +0000

localechooser (2.89ubuntu4) kinetic; urgency=medium

  * Drop the udeb from the control file.  We will never build it again, this
    package is never going to be in sync with Debian, and having this in
    debian/control causes localechooser to show up as a false-positive on
    archive rebuilds due to attempts to do the udeb-only per-arch builds
    under a noudeb build profile.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 03 Jul 2022 13:23:59 -0700

localechooser (2.89ubuntu3) impish; urgency=medium

  * Add Assamese (as) and Odia (or) to languagelist
    - We provide language packs for both, and hence they should be
      selectable in the installer (LP: #1943768).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 16 Sep 2021 15:03:11 +0200

=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.9), locales, intltool-debian (>= 0.30+20040212), po-debconf, iso-codes, isoquery
Standards-Version: 4.5.0
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/localechooser/+git/localechooser
XS-Debian-Vcs-Browser: https://salsa.debian.org/installer-team/localechooser
XS-Debian-Vcs-Git: https://salsa.debian.org/installer-team/localechooser.git

Package: localechooser-data
Section: devel
Priority: optional
Architecture: all
Depends: iso-codes, ${misc:Depends}
Breaks: system-config-kickstart (<< 2.5.20-0ubuntu24), casper (<< 1.361)
Description: Lists of locales supported by the installer
 This package contains lists of languages, countries, and locales supported
 by the installer, for use by programs that create automatic installation
 scripts.

## localechooser 2.89ubuntu7

=== debian/changelog ===
localechooser (2.89ubuntu7) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Dec 2025 13:54:21 +0100

## localechooser 2.90

=== debian/changelog ===
localechooser (2.90) unstable; urgency=medium

  * Team upload

  * Disable Kabyle for the text-based installer, as switching keyboard fails
    there (see #973455).
  * Correct Kabyle locale definition in languagelist to its real naming.

  [ Updated translations ]
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Occitan (oc.po) by Quentin PAGÈS

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 31 Dec 2020 22:41:05 +0100

## localechooser 2.91

=== debian/changelog ===
localechooser (2.91) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Bengali (bn.po) by Indrani Roy
  * Hindi (hi.po) by KushagraKarira
  * kab (kab.po) by Selyan Sliman Amiri
  * Punjabi (Gurmukhi) (pa.po) by Aman Alam
  * Tamil (ta.po) by Vasudevan Tirumurti
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 14 Feb 2021 19:20:40 +0100

## localechooser 2.92

=== debian/changelog ===
localechooser (2.92) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Arabic (ar.po) by zer0-x
  * Hindi (hi.po) by Aryan L
  * Traditional Chinese (zh_TW.po) by louies0623

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 13 Mar 2021 19:17:50 +0100

## localechooser 2.93

=== debian/changelog ===
localechooser (2.93) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Tibetan (bo.po)
  * Lao (lo.po)
  * Uyghur (ug.po)

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 08 Jul 2021 16:49:23 +0200

=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.9), locales, intltool-debian (>= 0.30+20040212), po-debconf, iso-codes, isoquery
Vcs-Browser: https://salsa.debian.org/installer-team/localechooser
Vcs-Git: https://salsa.debian.org/installer-team/localechooser.git

Package: localechooser
Package-Type: udeb
Architecture: any
Depends: cdebconf-udeb (>= 0.129)
XB-Installer-Menu-Item: ${menuitemnum}
Description: choose language/country/locale

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 ifeq (,$(findstring $(ARCH), s390 s390x))
 MENUITEMNUM=1000
-else # run after network-console for s390 
+else # run after network-console for s390
 MENUITEMNUM=2110
 endif

## localechooser 2.93A~5.1.0.202303091701

=== debian/changelog ===
localechooser (2.93A~5.1.0.202303091701) ucs5-1-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-35495-d-i-locale-Set-locale-in-UCR
    0002-Bug-35492-Limit-languages-to-de-en

 -- Univention builddaemon <buildd@univention.de>  Thu, 09 Mar 2023 17:01:57 +0100

## localechooser 2.98

=== debian/changelog ===
localechooser (2.98) unstable; urgency=medium

  * Team upload.

  [ Vagrant Cascadian ]
  * fix reproducibility issues (closes:1018802)

 -- Philip Hands <phil@hands.com>  Thu, 01 Sep 2022 10:18:21 +0200

localechooser (2.97) unstable; urgency=medium

  * Team upload.

  [ Samuel Thibault ]
  * post-base-installer.d/05localechooser: Fix case when a 2-letter language
    is prefix of a 3-letter language.

 -- Philip Hands <phil@hands.com>  Fri, 19 Aug 2022 16:38:13 +0200

localechooser (2.96) unstable; urgency=medium

  * Team upload.

  [ Updated translations ]
  * Vietnamese (vi.po) by Trần Ngọc Quân

  [ Philip Hands ]
  * enable salsa-ci
  * really detect the language level (closes: 1011254)
  * Lintian prompted changes:
    * add -n to gzip call (reproducibility)
    * add myself to Uploaders (to quell lintian)
    * set Rules-Requires-Root: no

 -- Philip Hands <phil@hands.com>  Thu, 18 Aug 2022 21:09:07 +0200

localechooser (2.95) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Dutch (nl.po) by Frans Spiesschaert
  * Simplified Chinese (zh_CN.po) by Wenbin Lv

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for localechooser.
  * Use set -e rather than passing -e on the shebang-line.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Build-Depends: Drop versioned constraint on dpkg-dev and intltool-debian.
  * Drop versioned constraint on cdebconf-udeb in Depends.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 26 Jun 2022 13:02:17 +0200

localechooser (2.94) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * localechooser: drop warning when lsmod is not available.
  * Make gbp produce the right tag format

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Croatian (hr.po) by Milo Ivir
  * Polish (pl.po) by Matthaiks
  * Vietnamese (vi.po) by Tran Dinh Hai

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 02 Jan 2022 18:23:12 +0100

## localechooser 2.99

=== debian/changelog ===
localechooser (2.99) unstable; urgency=medium

  * Team upload.

  * Disable Georgian for the text-based installer for now, since rendering of
    some characters is broken there (see #1017435).

  [ Updated translations ]
  * Asturian (ast.po) by Danial Behzadi
  * Bengali (bn.po) by Danial Behzadi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 13 Dec 2022 12:23:07 +0100

## localechooser 2.100

=== debian/changelog ===
localechooser (2.100) unstable; urgency=medium

  * Team upload.

  [ Samuel Thibault ]
  * languagelist: Enable Vietnamese in non-bogl console.
  * languagelist: Enable Georgian in (non-bogl) console.

  [ Holger Wansing ]
  * Set Standards-Version to 3.8.4 (checked).

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 08 Jan 2023 18:03:24 +0100

=== debian/control ===
Source: localechooser
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Philip Hands <phil@hands.com>
Standards-Version: 3.8.4
Build-Depends: debhelper-compat (= 13), locales, intltool-debian, po-debconf, iso-codes, isoquery
Vcs-Browser: https://salsa.debian.org/installer-team/localechooser
Vcs-Git: https://salsa.debian.org/installer-team/localechooser.git
Rules-Requires-Root: no

Package: localechooser
Package-Type: udeb
Architecture: any
Depends: cdebconf-udeb, ${misc:Depends}
XB-Installer-Menu-Item: ${menuitemnum}
Description: choose language/country/locale

## localechooser 2.101

=== debian/changelog ===
localechooser (2.101) unstable; urgency=medium

  [ Cyril Brulebois ]
  * Revert "Declare Standards-Version"

  [ Roland Clobus ]
  * Remove AN from country list; move CW to Caribbean region.

  [ Updated translations ]
  * Vietnamese (vi.po) by tictactoe

 -- Cyril Brulebois <kibi@debian.org>  Wed, 29 Mar 2023 14:30:30 +0200

## localechooser 2.102

=== debian/changelog ===
localechooser (2.102) unstable; urgency=medium

  [ Updated translations ]
  * Polish (pl.po) by Matthaiks

 -- Cyril Brulebois <kibi@debian.org>  Wed, 26 Apr 2023 01:44:27 +0200
